/// Different skills.
#[derive(Debug, Clone, Copy)]
pub enum Skill {
    Noob,
    Easy,
    Medium,
    Hard,
    Expert,
}

impl Skill {
    pub fn density(self) -> f64 {
        match self {
            Skill::Noob => 0.95,
            Skill::Easy => 0.8,
            Skill::Medium => 0.6,
            Skill::Hard => 0.4,
            Skill::Expert => 0.3,
        }
    }
}
